Package org.eclipse.ui.views.properties.tabbed

# Class AbstractTypeMapper

java.lang.Object
org.eclipse.ui.views.properties.tabbed.AbstractTypeMapper

All Implemented Interfaces:
  `ITypeMapper`

public class AbstractTypeMapper extends Object implements ITypeMapper
Default implementation of a type mapper.

Author:
  Anthony Hunter

## Constructor Summary

Constructors
Constructor
Description
`AbstractTypeMapper()`

## Method Summary

Modifier and Type
Method
Description
`Class`
`mapType(Object object)`
Map the input object to a domain model type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractTypeMapper

public AbstractTypeMapper()

## Method Details

### mapType

public Class mapType(Object object)
Description copied from interface: `ITypeMapper`
Map the input object to a domain model type.

Specified by:
  `mapType` in interface `ITypeMapper`
Parameters:
  `object` - the input object.
Returns:
  the type of the input object, mapped to the domain type if required.